/*
  This file is part of KMail, the KDE mail client.
  Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef _KMAIL_NEPOMUK_WIDGET_H_
#define _KMAIL_NEPOMUK_WIDGET_H_

#include <QtGui/QWidget>

#include <Nepomuk/Resource>

namespace Nepomuk {
    class AnnotationWidget;
    class TagWidget;
}
class KRatingWidget;
class KMReaderWin;
class QPushButton;

class NepomukWidget : public QWidget
{
    Q_OBJECT

public:
    NepomukWidget( QWidget* parent = 0 );
    ~NepomukWidget();

    void setResource( const Nepomuk::Resource& res );
    void setKMReaderWin( KMReaderWin* );

Q_SIGNALS:
    /**
     * Emitted if an annotation has been added or a rating changed
     * or whateever.
     */
    void changed();

private Q_SLOTS:
    void slotRatingChanged(int);
    void associateToATask();

private:
    Nepomuk::AnnotationWidget* m_annotationWidget;
    Nepomuk::TagWidget* m_tagWidget;
    KRatingWidget* m_ratingWidget;
    Nepomuk::Resource m_resource;
    KMReaderWin* m_kmreaderwin;
    QPushButton* m_tasksButton;
};

#endif
